curl https://api.thanxsandbox.com/partner/reward_templates?merchant_id={merchant_id} \
-X GET \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}'
{
"reward_templates": [
{
"id": "abc123def456",
"name": "Free Coffee",
"type": "discount",
"subtype": "free_item",
"description": "One free coffee, any size",
"fine_print": "Valid at participating locations",
"discount": {
"type": "free_item",
"applies_to": "basket",
"value": null
},
"redemption_venue": "in_store",
"images": {
"default": "https://images.thanx.com/reward_template.png"
}
}
],
"pagination": {
"current_page": 1,
"per_page": 10,
"total_pages": 1
}
}
Reward Templates
List Reward Templates
Returns published reward templates for a merchant
GET
/
partner
/
reward_templates
curl https://api.thanxsandbox.com/partner/reward_templates?merchant_id={merchant_id} \
-X GET \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}'
{
"reward_templates": [
{
"id": "abc123def456",
"name": "Free Coffee",
"type": "discount",
"subtype": "free_item",
"description": "One free coffee, any size",
"fine_print": "Valid at participating locations",
"discount": {
"type": "free_item",
"applies_to": "basket",
"value": null
},
"redemption_venue": "in_store",
"images": {
"default": "https://images.thanx.com/reward_template.png"
}
}
],
"pagination": {
"current_page": 1,
"per_page": 10,
"total_pages": 1
}
}
Scope required:
rewards.issueParameters
Response
curl https://api.thanxsandbox.com/partner/reward_templates?merchant_id={merchant_id} \
-X GET \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}'
{
"reward_templates": [
{
"id": "abc123def456",
"name": "Free Coffee",
"type": "discount",
"subtype": "free_item",
"description": "One free coffee, any size",
"fine_print": "Valid at participating locations",
"discount": {
"type": "free_item",
"applies_to": "basket",
"value": null
},
"redemption_venue": "in_store",
"images": {
"default": "https://images.thanx.com/reward_template.png"
}
}
],
"pagination": {
"current_page": 1,
"per_page": 10,
"total_pages": 1
}
}